Bug 1197756 - Review Request: nuntius - Get notifications from the phone or tablet
Review Request: nuntius - Get notifications from the phone or tablet
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-02 09:18 EST by Kalev Lember
Modified: 2015-03-03 07:02 EST (History)
2 users (show)

See Also:
Fixed In Version: nuntius-0.0.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-03 07:02:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
icq: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2015-03-02 09:18:19 EST
Spec URL: https://kalev.fedorapeople.org/nuntius.spec
SRPM URL: https://kalev.fedorapeople.org/nuntius-0.0.1-1.fc22.src.rpm
Description:
Nuntius is a daemon that connects to another nuntius android app
and proxies the notifications using bluetooth.

Fedora Account System Username: kalev
Comment 1 Ignacio Casal Quinteiro (nacho) 2015-03-02 10:09:46 EST
 MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
nuntius.src: W: spelling-error %description -l en_US bluetooth -> Bluetooth, blue tooth, blue-tooth
nuntius.src: W: invalid-url Source0: https://github.com/holylobster/nuntius-linux/releases/download/v0.0.1/nuntius-0.0.1.tar.xz HTTP Error 403: Forbidden
nuntius.spec: W: invalid-url Source0: https://github.com/holylobster/nuntius-linux/releases/download/v0.0.1/nuntius-0.0.1.tar.xz HTTP Error 403: Forbidden
1 packages and 1 specfiles checked; 0 errors, 3 warnings.


I'd say fix the bluetooth to Bluetooth typo.


MUST: The package must be named according to the Package Naming Guidelines .
OK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK
MUST: The package must meet the Packaging Guidelines .
OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK. GPLv2+
MUST: The License field in the package spec file must match the actual license. [3]
OK
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.[4]
It is
MUST: The spec file must be written in American English. [5]
OK
MUST: The spec file for the package MUST be legible. [6]
It is
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
Upstream url is provided
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
http://koji.fedoraproject.org/koji/taskinfo?taskID=9119670

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
The build
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
They are ok
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
No locales
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
No shared libs
MUST: Packages must NOT bundle copies of system libraries.[11]
No bundles
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
Nothing fancy here
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
It's fine
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
OK
MUST: Each package must consistently use macros. [16]
OK
MUST: The package must contain code, or permissible content. [17]
OK
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
No docs
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
ditto
MUST: Static libraries must be in a -static package. [19]
No libs
MUST: Development files must be in a -devel package. [20]
not needed
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
Not needed
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]
OK
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
Is fine.
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
That's ok
MUST: All filenames in rpm packages must be valid UTF-8. [24]
OK


 SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
It contains one.
SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
not needed?
SHOULD: The reviewer should test that the package builds in mock. [27]
I did with koji
SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
I did
SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
It does
SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
I think none are used
SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
No devel
SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
No pkgconfig files
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
Nothing here.
SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]
No man pages.
Comment 2 Kalev Lember 2015-03-02 10:23:20 EST
* Mon Mar 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.0.1-2
- Capitalize names in the description (#1197756)

Spec URL: https://kalev.fedorapeople.org/nuntius.spec
SRPM URL: https://kalev.fedorapeople.org/nuntius-0.0.1-2.fc22.src.rpm
Comment 3 Ignacio Casal Quinteiro (nacho) 2015-03-02 10:25:57 EST
Looks good now:

[nacho@winterfell Downloads]$ rpmlint nuntius*
nuntius.src: W: invalid-url Source0: https://github.com/holylobster/nuntius-linux/releases/download/v0.0.1/nuntius-0.0.1.tar.xz HTTP Error 403: Forbidden
nuntius.spec: W: invalid-url Source0: https://github.com/holylobster/nuntius-linux/releases/download/v0.0.1/nuntius-0.0.1.tar.xz HTTP Error 403: Forbidden
1 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 4 Kalev Lember 2015-03-02 10:30:17 EST
New Package SCM Request
=======================
Package Name: nuntius
Short Description: Get notifications from the phone or tablet
Upstream URL: https://github.com/holylobster/nuntius-linux
Owners: nacho kalev
Branches: f21 f22
InitialCC:
Comment 5 Gwyn Ciesla 2015-03-02 11:29:32 EST
Git done (by process-git-requests).
Comment 6 Kalev Lember 2015-03-03 07:02:38 EST
Package imported and built.

Note You need to log in before you can comment on or make changes to this bug.